package J20250805.demo04;

import java.lang.reflect.Constructor;
import java.util.ArrayList;

/**
 * @author WanJl
 * @version 1.0
 * @title ClassTest
 * @description
 * @create 2025/8/5
 */
public class ClassTest01 {
    public static void main(String[] args) throws ClassNotFoundException {
        //1、类名.class属性
        Class<String> stringClass = String.class;
        //2、对象名.getClass()方法
        Class<? extends ArrayList> arrayListClass = new ArrayList<>().getClass();
        //3、Class.forName(全限定类名)方法
        Class<?> hashSetClass = Class.forName("java.util.HashSet");



    }
}
